ArgoUML Integration

Compatible with  IntelliJ IDEA
11 656
Integrates ArgoUML into IntelliJ IDEA including basic round trip engineering. Note: This plugin requires a pre-installed ArgoUML, version >= 0.28. If you don't have ArgoUML yet, download it from The plugin can either be used with a fully installed ArgoUML or with the unpacked ZIP based distribution. Full usage instructions can be found at the plugin's homepage.

Download plugin

Recent change notes

  • 0.1.2
    1. Added / extended usage instructions and plugin descriptor.
  • 0.1.1
    1. Cleaned code and plublished sources at
    2. Added option to disable the integration at project level.
    3. Fixed minor bugs.
    4. Tested with latest ArgoUML release 0.28.1.
  • 0.1
    1. Initial Alpha Release.
Never mind, I found out how to remove the plugin manually. See;jsessionid=9A7D236C402AA3CA8051F1869B47E344
Just installed the latest version of the argouml integration plugin version 0.1.2 (running argouml 0.34 on Centos 7 64-bit, jdk 1.7) using intellij idea 14. This plugin crashes the IDE completely (null pointer exception). How to uninstall the plugin from the command line?
How do I Unistall on mac .. It crashes the Intelli J . Do you have the file location to delete the files for the plugin ? It sucks that you guys never update the wiki or anything
NO longer works
No longer works on IDEA 13.1. IDEA fails to start when plugin is enabled.
why i get error after install this plugin? I used IntelliJ IDEA 12.1.5 Ultimate Edition, i have intalled ArgoUML v.0.34 too. error message : plugin com.intellij failed to initialize then, how to install this plugin? thanks, Best Reagards.
It looks like 10.5 broke the plugin. Now I can see the model but I can't edit it and it corrupts the model file as well.
Pointed the argoUML Installation to /Applications/ and it worked.
It does not appear to work on mac.
When trying to point it to the argoUML installation in the intelliJ plugin settings, is keeps saying the path is not valid
Please  sign in  to leave a comment.